> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Contact Custom Field

> Delete an existing contact custom field



## OpenAPI

````yaml delete /contact_custom_field
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /contact_custom_field:
    delete:
      tags:
        - Contact Custom Field
      summary: Delete Contact Custom Field
      description: Delete an existing contact custom field
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: contact_id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: custom_field_id
          in: query
          description: Custom field ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Contact custom field creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: key
          in: query
          description: Contact custom field key
          schema:
            type: string
        - name: value
          in: query
          description: Value of contact custom field
          schema:
            type: string
        - name: date_value
          in: query
          description: Date value
          schema:
            type: string
        - name: string_value
          in: query
          description: String value
          schema:
            type: string
        - name: number_value
          in: query
          description: Number value
          schema:
            type: string
        - name: boolean_value
          in: query
          description: Boolean value
          schema:
            type: string
        - name: datetime_value
          in: query
          description: Datetime value
          schema:
            type: string
        - name: string_list_value
          in: query
          description: String list value
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contact_custom_field'
          description: The updated Contact Custom Field object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    contact_custom_field:
      type: object
      properties:
        contact_id:
          type: string
          description: Contact ID
          format: uuid
        custom_field_id:
          type: string
          description: Custom field ID
          format: uuid
        created_at:
          type: string
          description: Contact custom field creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        key:
          type: string
          description: Contact custom field key
          format: text
        value:
          type: string
          description: Value of contact custom field
          format: text
          nullable: true
        date_value:
          type: string
          description: Date value
          format: date
          nullable: true
        string_value:
          type: string
          description: String value
          format: text
          nullable: true
        number_value:
          type: number
          description: Number value
          format: numeric
          nullable: true
        boolean_value:
          type: boolean
          description: Boolean value
          format: boolean
          nullable: true
        datetime_value:
          type: string
          description: Datetime value
          format: timestamp with time zone
          nullable: true
        string_list_value:
          type: array
          description: String list value
          items:
            type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````